Mail archive
alpine-aports

[alpine-aports] [PATCH 6/9] testing/py-oauth2client: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Wed, 3 Jun 2015 01:04:08 -0500

https://github.com/google/oauth2client
A client library for OAuth 2.0
---
 testing/py-oauth2client/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-oauth2client/APKBUILD
diff --git a/testing/py-oauth2client/APKBUILD b/testing/py-oauth2client/APKBUILD
new file mode 100644
index 0000000..63c0173
--- /dev/null
+++ b/testing/py-oauth2client/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=py-oauth2client
+_pkgname=oauth2client
+pkgver=1.4.11
+pkgrel=0
+pkgdesc="A client library for OAuth 2.0"
+url="https://github.com/google/oauth2client"
+arch="noarch"
+license="Apache"
+depends="python py-asn1 py-httplib2 py-asn1-modules py-rsa py-six"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="ace6b6e4c9cd17fd611d9984d6746c7b  oauth2client-1.4.11.tar.gz"
+sha256sums="dcc9bfaa544791206ca86a2f311872f0c4c1e81b068775c3da16abe72a506873  oauth2client-1.4.11.tar.gz"
+sha512sums="46e5b475fd032bc1de6cb4a404747a62988fc337c9c73a329cf4127fc4a1966124a506316fb4a4e90ea68e78103cab571cd42f9eb683ce1413c8a501ace5ed91  oauth2client-1.4.11.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jun 03 2015 - 01:04:08 GMT